Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.interactive
[Groovy] Class GrailsInteractiveCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.grails.cli.interactive.GrailsInteractiveCompletor

    class GrailsInteractiveCompletor
    extends jline.SimpleCompletor

A JLine completor for Grails' interactive mode.

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`java.util.Map` | `completorCache`
`BuildSettings` | `settings`

Constructor Summary
`GrailsInteractiveCompletor(BuildSettings settings, java.util.List scriptResources)`

Method Summary
`int` | `complete(java.lang.String buffer, int cursor, java.util.List clist)`
`static java.lang.String[]` | `getScriptNames(java.util.List scriptResources)`

Methods inherited from class jline.SimpleCompletor
jline.SimpleCompletor#clone(), jline.SimpleCompletor#complete(java.lang.String, int, java.util.List), jline.SimpleCompletor#getCandidates(), jline.SimpleCompletor#setDelimiter(java.lang.String), jline.SimpleCompletor#getDelimiter(), jline.SimpleCompletor#setCandidates(java.util.SortedSet), jline.SimpleCompletor#setCandidateStrings([Ljava.lang.String;), jline.SimpleCompletor#addCandidateString(java.lang.String), jline.SimpleCompletor#wait(), jline.SimpleCompletor#wait(long), jline.SimpleCompletor#wait(long, int), jline.SimpleCompletor#equals(java.lang.Object), jline.SimpleCompletor#toString(), jline.SimpleCompletor#hashCode(), jline.SimpleCompletor#getClass(), jline.SimpleCompletor#notify(), jline.SimpleCompletor#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### completorCache

    java.util.Map completorCache

### settings

    BuildSettings settings

Constructor Detail

### GrailsInteractiveCompletor

    GrailsInteractiveCompletor(BuildSettings settings, java.util.List scriptResources)

Method Detail

### complete

    @Override
    int complete(java.lang.String buffer, int cursor, java.util.List clist)

### getScriptNames

    static java.lang.String[] getScriptNames(java.util.List scriptResources)

Groovy Documentation